*:*********************************************************************
*:
*:        Program: TEXLSDMO.PRG
*:
*:         System: Texas Associated Software Laser Library
*:         Author: Jose E. Lopez, Jr.
*:      Copyright (c) 1991, Texas Associated Software - Red Oak, TX
*:
*:*********************************************************************

Clear Screen
set Cursor off

set Color to b/b
@ 01, 01, 24, 30 box space(09)
set Color to W/W
@ 01, 31, 12, 80 box space(09)
set Color to R/R
@ 13, 31, 24, 80 box space(09)
set Color to W/N
Save Screen to _temp
_frame = chr(218)+chr(196)+chr(191)+chr(179)+chr(217)+chr(196)+chr(192)+chr(179)+chr(32)
@ 06, 20, 20, 58 box _frame

@ 10, 25 say 'Welcome to the TexAS Laser    '
@ 11, 25 say 'Printer Library. You can add  '
@ 12, 25 say '"Desktop Publishing" quality  '
@ 13, 25 say 'to your reports and documents.'
@ 14, 25 say 'The Library will give you     '
@ 15, 25 say 'complete control over the     '
@ 16, 25 say 'printer and your output.      '
Inkey(10)

scroll(07, 21, 19, 57, 00)
@ 08, 25 say 'Print the following examples  '
@ 09, 25 say 'to see a few of the ways we   '
@ 10, 25 say 'use the Library. Please look  '
@ 11, 25 say 'at the demo code to see how   '
@ 12, 25 say 'simple the functions are to   '
@ 13, 25 say 'use. After using the Library, '
@ 14, 25 say 'you will want all your users  '
@ 15, 25 say 'to get laser printers.        '
@ 18, 27 say 'Press any Key to Continue'
Inkey(0)

scroll(07, 21, 19, 57, 00)
_print_port = ""
@ 09, 25 say '  Please select Printer Port  '
@ 11, 38 Prompt "LPT1"
@ 12, 38 Prompt "LPT2"
@ 13, 38 Prompt "LPT3"
@ 14, 38 Prompt "COM1"
@ 15, 38 Prompt "COM2"

menu to _print_port

restore Screen from _temp
_hp3 = answer("Are you using an HP LaserJet III?")

@ 05, 10, 21, 68 box _frame
@ 06, 29 say "Press <esc> to exit"

set message to 20 Center

do while lastkey() != 27
   @ 09, 14 Prompt "Print Welcome to Demo"
   @ 10, 14 Prompt "Print Invoice        "
   @ 11, 14 Prompt "Print Labels         "
   @ 12, 14 Prompt "Print Patterns       "
   @ 13, 14 Prompt "Print Shading        "
   @ 14, 14 Prompt "Print Graph          "
   @ 15, 14 Prompt "Print Available Fonts"
   @ 09, 41 Prompt "Print Bar Codes      " message "Print 3 of 9 Barcode"
   @ 10, 41 Prompt "Print Scalable Fonts " message "Print on HP LaserJet III only"
   @ 11, 41 Prompt "Print HCFA1500 Form  "
   @ 12, 41 Prompt "Print Calendar       "
   @ 13, 41 Prompt "Print Envelope       " message "Print Envelope with Postnet Barcode"
   @ 14, 41 Prompt "Print X Box          " message "Print Box with X"
   @ 15, 41 Prompt "Print with Soft Font " message "Print Text with Downloaded Soft Font"

   menu to _choice

   do case
   case _choice = 0
      exit
   case _choice = 1
      txinit(_print_port, _hp3)
      txgraphic(0, 0, "initial.pcl", 1)
      txmacexec(1)
      txclear()
   case _choice = 2
      do txinvoic
   case _choice = 3
      do txlabels
   case _choice = 4
      do txpatter
   case _choice = 5
      do txshade
   case _choice = 6
      do txgraph
   case _choice = 7
      do txfonts
   case _choice = 8
      do txbarcod
   case _choice = 9
      do txscales
   case _choice = 10
      do txinsure
   case _choice = 11
      do txclndar
   case _choice = 12
      do txenvelp
   case _choice = 13
      txinit(_print_port, _hp3)
      txxbox(0500, 0500, 1000, 0300, 0003)
      _prtline = "Use this function "+txfontbold("sparingly")+" as it uses a lot printer memory"
      txcolprint(25, 10, .f., _prtline)
      txcolprint(26, 10, .f., "This function was added because some of you requested a way")
      txcolprint(27, 10, .f., "to draw diagonal lines in your boxes. For those of you with")
      txcolprint(28, 10, .f., "an HP III or printer that uses the HP-GL/2 language, we are")
      txcolprint(29, 10, .f., "working on vector graphics functions for those printers.")
      txclear()
   case _choice = 14
      txinit(_print_port, _hp3)
      txlmargin(12)
      txdlfont("helvet10.fnt", 1)
      txsetpfont(1)
      set console off

      TEXT to print

          Welcome to the Texas Associated Software Library for HP LaserJet Printers

          This library will give you "Desktop Publishing" quality letters, forms,
          reports and documents. It will give your users a quality unexpected by
          ordinary output. Since you can access any font cartridge or download any
          soft font, you can offer your users letters, forms, reports and documents
          they only got from other applications. This will open opportunities for
          you to add documents to existing applications. The Library will give you
          complete control over the printer. You will be able to layout your entire
          page before printing. You have complete control over where you print down
          to the smallest allowable coordinate.

      ENDTEXT

      set console on
      txclear()
   endcase
enddo

set Cursor on

*!*********************************************************************
*!
*!       Function: ANSWER()
*!
*!*********************************************************************
function answer

save screen to _ansscrn

parameters _answer
_return = ""
_select = ""
set Cursor off
@ 11,18,16,62 box "Ŀ "

do while .t.
   @ 12, 23 say _answer
   @ 13,34,15,37 box "Ŀ "
   @ 13,43,15,47 box "Ŀ "
   @ 14,35 Prompt 'No'
   @ 14,44 Prompt 'Yes'
   menu to _select

   do case
   case _select = 0
      _return = .f.
      exit
   case _select = 1
      _return = .f.
      exit
   case _select = 2
      _return = .t.
      exit
   endcase
enddo

restore screen from _ansscrn

return(_return)

*: EOF: TEXLSDMO.PRG
